PlanDocket
Beginner 15 min

Event Management

Manage events and participants via the API.

Prerequisites

  • An API key with the required scopes
  • An active PlanDocket account
1

Create an Event

Create a new event with basic information.

curl -X POST "https://your-tenant.plandocket.com/api/v1/events" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "event_key": "expo-2025",
    "title": "Annual Trade Expo 2025",
    "date_from": "2025-01-01",
    "date_to": "2025-01-02",
    "city": "Munich",
    "country": "DE"
  }'
2

Add Participants

Add contacts as participants to the event.

curl -X POST "https://your-tenant.plandocket.com/api/v1/participants" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "event_key": "expo-2025",
    "customer_number": "K-10001",
    "is_confirmed": true
  }'
Esc to close